Bug 811564 - Switch default to false for "match system" when listing available subscriptions
Switch default to false for "match system" when listing available subscriptions
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Tom McKay
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-11 08:49 EDT by Tom McKay
Modified: 2014-09-18 12:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The System Subscription page listed available subscriptions specific to the system selected. This fix changes the behavior to show all available subscriptions instead of system-specific ones.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:44:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom McKay 2012-04-11 08:49:08 EDT
The Systems Subscriptions page lists available subscriptions that match the system, by default. Switch the default to false, showing all available subscriptions.

To test: Visit Systems Subscriptions page and note that the "Match System" checkbox should not be checked. (Note that this flag is persisted as a user preference so the test should done with a new user.)
Comment 1 Tom McKay 2012-07-11 09:18:26 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: dba3f88f62e5c66c7af23b8939967fcf10173de3
      https://github.com/Katello/katello/commit/dba3f88f62e5c66c7af23b8939967fcf10173de3
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-07-11 (Wed, 11 Jul 2012)


To test, create a new user and visit the Systems/Subscriptions page and note that the "match" checkbox is now unchecked where previously it was checked.

Note that this is a user preference and persists for the user so if you change it, reloading that page will retain that state.
Comment 3 Og Maciel 2012-09-18 16:53:59 EDT
Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 5 errata-xmlrpc 2012-12-04 14:44:40 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.